%define name fte
%define version 20020318
%define release 4mdk

Name:		%{name}
Summary:	FTE Text Editor (programmer oriented)
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Editors
URL:		http://fte.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
Buildrequires:	XFree86-devel libgpm-devel libslang-devel libncurses-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
FTE is a Text Mode text editor for xterm sessions.  Color syntax highlighting
for C/C++, REXX, HTML, IPF, PERL, Ada, Pascal, TEX.  Multiple file/window
editing, Column blocks, configurable menus and keyboard bindings, mouse
support, undo/redo, regular expression search and replace, folding, 
background compiler execution.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q


%build

mkdir -p $RPM_BUILD_ROOT
export RPM_OPT_FLAGS
make PREFIX=%{_prefix}


%install
export INSTALL_NONROOT=1
make PREFIX=%{buildroot}%{_prefix} install

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/fte"\
title="Fte"\
longtitle="Textmode editor for xterm sessions"\
needs="x11"\
icon="editors_section.png"\
section="Applications/Editors"
EOF
) 

%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755)
%_bindir/*
%_libdir/fte
%{_libdir}/menu/*

%changelog
* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 20020318-4mdk
- buildrequires

* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 20020318-3mdk
- rebuild

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 20020318-2mdk
- rebuild

* Thu Jun 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 20020318-1mdk
- 20020318

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.49.13-7mdk
- Fix menu entry
- Add missing files

* Tue Jul 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.49.13-6mdk
- rebuild

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.49.13-5mdk
- rebuild

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.49.13-4mdk 
- menu

* Thu Aug  3 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.49.13-3mdk
- macros
- fix docs

* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.49.13-2mdk
- fix group
- bzip2 patch

* Tue Feb 29 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
- patchfile for RPM optimization and proper location of binaries
